use lexer::Token;
use logos::Lexer;
use logos::Logos;
use syntax::parse;
use utils::ws;
use winnow::prelude::*;
use winnow::Parser;

mod lexer;
mod syntax;
mod utils;

fn main() {
    let input = "load \"./image.png\" | invert | save \"./image_processed.jpg\"";
    dbg!(parse(input));
}
